using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 儿童处方
    /// </summary>
    [SugarTable("YB_ChildrenPrescription", TableDescription = "儿童处方", IsDisabledUpdateAll = false, IsDisabledDelete = true)]

    public class YB_ChildrenPrescription
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }
        /// <summary>
        ///  类型,1-身高标准,2-BMI标准,3-体重标准
        /// </summary>
        [SugarColumn(ColumnDescription = "类型,1-身高标准,2-BMI标准,3-体重标准")]
        public PrescriptionType Type { get; set; }
        /// <summary>
        /// 标准,参考处方文档
        /// </summary>
        [SugarColumn(ColumnDescription = "标准,参考处方文档")]
        public int Level { get; set; }
        /// <summary>
        /// 营养,全年龄
        /// </summary>
        [SugarColumn(ColumnDescription = "营养,全年龄", ColumnDataType = "text")]
        public string Nutrition { get; set; }
        /// <summary>
        /// 运动,全年龄
        /// </summary>
        [SugarColumn(ColumnDescription = "运动,全年龄", ColumnDataType = "text")]
        public string Sport { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")] 
        public DateTime CreateTime { get; set; }
    }
}
